# $Revision: 1.26 $, $Date: 2006/10/24 20:11:49 $
#
# Conditional build:
%bcond_without	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Unix
%define		pnam	Processors
Summary:	Unix::Processors - interface to processor (CPU) information
Summary(pl):	Unix::Processors - interfejs do informacji o procesorze (CPU)
Name:		perl-Unix-Processors
Version:	2.033
Release:	1
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Unix/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	19fc612ef9d206fe4ae758fa6eaba04c
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-dirs >= 1.0-7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides accessors to per-processor (CPU) information.
The object is obtained with the Unix::Processors::processors call in a
OS independent manner.

%description -l pl
Ten pakiet udostpnia funkcje dostpowe do informacji o procesorach
(CPU). Ten obiekt jest dostpny poprzez wywoanie
Unix::Processors::processors w sposb niezaleny od systemu
operacyjnego.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/Unix/*.pm
%{perl_vendorarch}/Unix/Processors
%dir %{perl_vendorarch}/auto/Unix/Processors
%attr(755,root,root) %{perl_vendorarch}/auto/Unix/Processors/*.so
%{perl_vendorarch}/auto/Unix/Processors/*.bs
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Unix-Processors.spec,v $
Revision 1.26  2006/10/24 20:11:49  ankry
- cosmetics

Revision 1.25  2006/02/20 21:32:59  glen
- 2.033

Revision 1.24  2005/10/31 12:17:10  czucz
- updated to 2.032

Revision 1.23  2005/06/22 00:44:54  czucz
- updated to 2.031

Revision 1.22  2005/05/18 23:29:19  czucz
- updated to 2.030

Revision 1.21  2004/12/03 14:45:22  radek
- autoupdated to 2.022

Revision 1.20  2004/11/03 22:30:53  paladine
- formatting

Revision 1.19  2004/05/07 00:32:05  ankry
- rel. 2

Revision 1.18  2004/05/06 18:21:27  ankry
- fixed perl-devel BR

Revision 1.17  2004/05/03 23:39:22  ankry
- license fix, cosmetics

Revision 1.16  2004/04/15 10:01:05  ankry
- cosmetics

Revision 1.15  2004/04/05 22:01:53  adamg
- updated to 2.021

Revision 1.14  2004/03/07 10:36:15  adamg
- updated to 2.020

Revision 1.13  2004/02/16 21:56:28  adamg
- updated to 2.015
- new style bconds

Revision 1.12  2003/09/18 13:22:46  adamg
- updated to 2.014

Revision 1.11  2003/09/09 10:24:54  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:09:25  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:01:13  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:25:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:40  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 22:09:55  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:42:36  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:39:08  ankry
- massive attack: change CPAN URLs

Revision 1.3  2003/01/15 18:39:58  mis
- autoupdated to 2.011

Revision 1.2  2002/08/31 12:21:47  qboosh
- pl description, release 2

Revision 1.1  2002/08/30 22:10:26  radek
- new, STBR
